<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE width="740" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" align="center" bgcolor="White">
        	<TR colspan="3"><TD height="7"></TD></TR>
        	<TR>
        		<TD width="175" valign="top" style="border-right: 1px solid white;">
        		<!-- MENU -->
   					<!-- CALL TOP-MENU-->
   					<xsl:call-template name="TOP-MENU"/>
        		<!-- END MENU -->
        		</TD>
        		<TD style="background-image: url('images/top_center_bg.jpg'); background-position: top; background-repeat: no-repeat;" valign="top">
        			<div class="url"><span style="width:0px; height:13px;"><spacer type="block" width="0" height="12" /></span><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></div>
        			<!-- HEADER -->
        			<xsl:call-template name="TOP"/>
        			<!-- END HEADER -->
        			<div class="welcome">Welcome to our site.</div>
        		</TD>
        		<TD rowspan="2" valign="top" width="250">
        		<!-- TOP-->
        			<div class="top-right-bg" style="width: 241px; height: 177px; background-image: url('images/top_right_bg.jpg'); background-repeat: no-repeat;">
        				<table cellpadding="0" cellspacing="0" style="margin: 96px 0px 5px 25px" width="210">
        					<tr>
        						<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
        						<td class="company" width="162"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        					</tr>
        					<tr>
        						<td class="slogan" align="right"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>.</td>
        					</tr>
        				</table>
        			</div>
        		<!-- END TOP -->			
        		<!-- SUBMENU -->
   					<!-- CALL SUB-MENU-->
   					<xsl:call-template name="SUB-MENU">
   						<xsl:with-param name="pageID" select="@ID"/>
   					</xsl:call-template>

        		<!-- END SUBMENU -->		
        		</TD>
        	</TR>
        	<TR>
        		<TD height="100%" colspan="2" valign="top" style="padding:0px 100px 40px 40px;">
        		<!-- CONTENT -->
        			<p class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></p>
        			<div class="text"><xsl:apply-templates select="PAGE-CONTENT"/></div>
        			
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="3">
        		<table cellpadding="0" cellspacing="0" height="70" width="740">
        			<tr>
        				<td width="7" class="f_bg"></td>
        				<td width="1"></td>
        				<td width="732" bgcolor="#E7ECEE" align="center">
        				<!-- BOTTOM-MENU -->
							<table cellpadding="0" cellspacing="0" border="0">
								<tr>
									<td width="35"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
									<xsl:call-template name="BOTTOM-MENU"/>			
									<td width="35"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
								</tr>
							</table>
        				<!-- END BOTTOM-MENU -->	
        				<!-- FOOTER -->
        					<span class="footer">
        						<div style="width:0px; height:8px;"><spacer type="block" width="0" height="8" /></div>
        						<img src="images/footer_bullet.gif" align="absmiddle" style="margin: 2px 5px 0px 0px;"/>
								<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
							</span>
        				<!-- END FOOTER -->
        				</td>
        			</tr>
        		</table>
        		</TD>
        	</TR>	
        </TABLE>
		</td></tr></table>
        </BODY>

		</html>

	</xsl:template>



	<!-- TOP-MENU -->
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" border="0" cellspacing="0" width="176" class="m_bg">
   			<tr><td colspan="2" height="23" class="h_bg"></td></tr>
  			<tr><td colspan="2" height="8"></td></tr>
			<xsl:apply-templates select="MENU" mode="top"/>			
  			<tr><td colspan="2" height="8"></td></tr>
			<tr><td colspan="2" height="112" style="background-image: url('images/menu_bbg.gif'); background-repeat: no-repeat;"></td></tr>
		</table>
	</xsl:template>


	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        		<table cellpadding="0" cellspacing="0" width="247" height="203" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
        			<tr>
        				<td style="background-image: url('images/submenu_tbg.gif'); background-position: top left; background-repeat: no-repeat;" valign="top">
        					<div style="width:0px; height:30px;"><spacer type="block" width="0" height="30" /></div>
								<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
         					<div style="width:0px; height:20px;"><spacer type="block" width="0" height="20" /></div>
         				</td>
         			</tr>
         			<tr><td height="2"><img src="images/submenu_bbg.gif"/></td></tr>
         		</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        		<table cellpadding="0" cellspacing="0" width="247" height="203" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
        			<tr>
        				<td style="background-image: url('images/submenu_tbg.gif'); background-position: top left; background-repeat: no-repeat;" valign="top">
        					<div style="width:0px; height:30px;"><spacer type="block" width="0" height="30" /></div>
								<xsl:apply-templates select="//MENU/MENU-ITEM/MENU-ITEM" mode="sub"/>
         					<div style="width:0px; height:20px;"><spacer type="block" width="0" height="20" /></div>
         				</td>
         			</tr>
         			<tr><td height="2"><img src="images/submenu_bbg.gif"/></td></tr>
         		</table>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>

	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   				<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
	   				<td><font href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></font></td>
                </xsl:when>
                <xsl:otherwise>
	   				<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>			
			<xsl:if test="position()!=last()">				
   					<td width="35"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
			</xsl:if>
	</xsl:template>
	
	
	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
