<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body bottommargin="0" leftmargin="0" rightmargin="0" topmargin="0" marginheight="0" marginwidth="0" bgcolor="#FFFFFF">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="227"><table width="100%" height="277" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="277"><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td background="images/headbg.jpg" class="border">
<table width="100%" height="232" border="0" cellpadding="0" cellspacing="0" background="images/header.jpg" style="background-position:left top;background-repeat:no-repeat;">
                  <tr>
                    <td align="right"><table width="250" height="104" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td align="center" style="padding-bottom:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                        </tr>
                        <tr>
                          <td align="center" valign="middle" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                        </tr>
                        <tr>
                          <td align="center" valign="middle" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></td>
            </tr>
            <tr>
              <td align="right" background="images/titlebg.jpg"><table border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    <td width="30" align="right"><img src="images/titlebullet.jpg" width="26" height="25" /></td>
                    <td><img src="images/blank.gif" width="30" height="45" /></td>
                    <td><img src="images/vhr.jpg" width="2" height="45" /></td>
                  </tr>
              </table></td>
            </tr>
        </table></td>
        <td width="193" align="right" background="images/menubg.gif"><table width="95%" border="0" cellpadding="0" cellspacing="0">
            <xsl:call-template name="TOP-MENU"/>
            
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td rowspan="3" align="left" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/blank.gif" width="577" height="1" /></td>
          </tr>
        </table>
        <table width="100%" border="0" cellpadding="30" cellspacing="0">
            <tr>
              <td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/>
              
              </td>
            </tr>
        </table></td>
        <td width="1" rowspan="3" background="images/vhr.jpg"><img src="images/vhr.jpg" width="2" height="49" /></td>
        <td width="193" height="20" align="right" valign="top"><img src="images/hr.jpg" width="193" height="3" /></td>
      </tr>
      <tr>
        <td width="193" align="right" valign="top"><table border="0" cellpadding="0" cellspacing="0">
            <xsl:call-template name="SUB-MENU">
              <xsl:with-param name="pageID" select="@ID"/>
            </xsl:call-template>
        </table></td>
      </tr>
      <tr>
        <td width="193" align="right"><img src="images/blank.gif" width="193" height="20" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="3"><img src="images/hr.jpg" width="100%" height="3" /></td>
  </tr>
  <tr>
    <td height="68"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="center" valign="middle"><table border="0" cellpadding="2" cellspacing="0">
            <tr>
              <xsl:call-template name="BOTTOM-MENU"/>
              
            </tr>
        </table></td>
        <td width="1" background="images/vhr.jpg"><img src="images/vhr.jpg" width="2" height="49" /></td>
        <td width="193" align="center" valign="middle" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table></td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

      <tr>
        <td><img src="images/submenubullet.jpg" width="25" height="28" /></td>
        <td align="left" class="submenu" width="135">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        <td align="left"><img src="images/blank.gif" width="10" height="10" /></td>
      </tr>
	  <tr>
        <td height="3"></td>
        <td height="3" colspan="2" align="left" background="images/submenuhr.jpg"><img src="images/submenuhr.jpg" width="145" height="3" /></td>
      </tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

      <tr>
        <td><img src="images/submenubullet.jpg" width="25" height="28" /></td>
        <td align="left" width="135"><a href="{@HREF}" class="asubmenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        <td align="left" class="submenu"><img src="images/blank.gif" width="10" height="10" /></td>
      </tr>
      <tr>
        <td height="3"></td>
        <td height="3" colspan="2" align="left" background="images/submenuhr.jpg"><img src="images/submenuhr.jpg" width="145" height="3" /></td>
      </tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>

</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

        <td align="left"><a href="{@HREF}" class="abmenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

        <td align="left" class="bmenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
       
           </xsl:when>
           <xsl:otherwise>

        <td align="left"><a href="{@HREF}" class="abmenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td align="left" class="bmenu" style="padding-left:8px;"><img src="images/btmenubullet.jpg" width="14" height="64" /></td>
			
  		</xsl:if></xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
