<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <td height="226" colspan="2" background="images/header_4.jpg"><div align="right">
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="100%" style="padding-left:50px">
			   <!-- LOGO -->
		<table width="250"  border="0" align="left" cellpadding="0" cellspacing="0">
                <tr>
                  <td height="77"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                </tr>
                <tr>
                  <td height="27"><div align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                </tr>
                <tr>
                  <td><div align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                </tr>
              </table>
			  <!-- END LOGO -->
			  </td>
              <td width="497" height="226" style="background-image:url(images/header_1.jpg); background-position:right top; background-repeat:no-repeat; width:497px;height:226px;"><div style="width:497px;height:1px;"></div></td>
            </tr>
          </table>
        </div></td>
        </tr>
      <tr>
        <td width="100%" height="50" background="images/menu_bg.gif" >
		 <!-- MENU -->
		<table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="5"></td>
             <xsl:call-template name="TOP-MENU"/>
            <td width="5"></td>
          </tr>
        </table>
		 <!-- END MENU -->	
		</td>
        <td width="321" height="50" style="background-image:url(images/header_2.jpg); background-position:right; background-repeat:no-repeat; width:321px;height:50px;"></td>
      </tr>
      <tr>
        <td valign="top">
		  <!-- CONTENT -->
		<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
          <tr>
            <td height="156" valign="top" style="padding-top: 30px;padding-left: 30px;">
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><img src="images/text_header.gif" align="absmiddle"/></td>
                </tr>
              </table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
              </td>
          </tr>
        </table>
		 <!-- END CONTENT -->
		</td>
        <td valign="top" background="images/submenu_bg.gif"><div align="right"><img src="images/header_3.jpg"/>
              <!-- SUBMENU -->
			<table width="240"  border="0" align="right" cellpadding="0" cellspacing="0">
               <xsl:call-template name="SUB-MENU">
			    <xsl:with-param name="pageID" select="@ID"/> 
				</xsl:call-template>
              <tr>
                <td height="20"></td>
                <td height="20"></td>
                <td></td>
              </tr>
            </table>
			 <!-- END SUBMENU --> 
        </div></td>
      </tr>
      <tr >
        <td height="49" colspan="2" background="images/bmeun_bg.gif">
		<!-- BOTTOM MENU -->
		<table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="10"></td>
             <xsl:call-template name="BOTTOM-MENU"/>
          <td width="10"></td>
          </tr>
        </table>
		<!-- END BOTTOM MENU -->
		
		</td>
        </tr>
      <tr >
	   <!-- FOOTER -->
        <td height="45" colspan="2" background="images/copyright_bg.gif"><div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
         <!-- END FOOTER -->
	   
	    </tr>
    </table></td>
  </tr>
</table>
</body>
</html>






</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	              <tr>
                  <td width="36" height="20"></td>
                   <td width="28" height="20"><img src="images/submenu_bullet.gif"/></td>
                  <td width="176" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  </tr>
	  
		</xsl:when>
		
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
     
	                 <tr>
                        <td width="36" height="20"></td>
                        <td width="28" height="20"><img src="images/submenu_bullet.gif"/></td>
                        <td width="176" class="smenu"><a href="{@HREF}" class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                      </tr>
	  
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	
	<xsl:if test="position()!=last()">
                  <tr>
                     <td height="10"></td>
                     <td colspan="2"><div style="height:1px; background-color: #E5E5E5; background-repeat: repeat-x;"><span></span></div></td>
                  </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            <td class="bmenu" style="padding-right:10px; padding-left:10px;"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
                       <td class="bmenua" style="padding-right:10px; padding-left:10px;"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> </div></td>
           </xsl:when>
           <xsl:otherwise>
           <td class="bmenu" style="padding-right:10px; padding-left:10px;"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
           <td class="iconfoot"><img src="images/bmenu_bullet.gif"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

