<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="0" bordercolor="#999933" background="images/bg_2.jpg">
  <tr>
    <td rowspan="4"><img src="images/blank.gif" width="87" height="5"/></td>
    <td width="100%" height="190" style="background-image: url(images/linebg.jpg);
	background-repeat: repeat-x;
	background-position: center bottom;">
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
		<td  width="100%" align="left" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right bottom;">
<!-- LOGO -->
			<table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td></td>
              </tr>
              <tr>
                <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
              </tr>
              <tr>
                <td  class="logo" align="left"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td  class="slogan" align="left"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table>
			<!-- END LOGO -->
	</td>
      </tr>
    </table></td>
    <td width="77" rowspan="4" valign="top" background="images/bg_2.jpg"><img src="images/headers_4.jpg" width="77" height="271"/></td>
  </tr>
  <tr>
    <td>
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td align="right" valign="top" background="images/buttons_bg.jpg">
			<table width="100%"  border="0" cellpadding="0" cellspacing="0">
				<tr>
				  <td width="100%" align="left">
				  <!-- MENU -->
					  <table  border="0" cellpadding="0" cellspacing="0" bordercolor="#00FF00">
						<tr>
						  <td width="20"></td>
						  <xsl:call-template name="TOP-MENU"/> </tr>
					  </table>
					  <!-- END MENU -->
				  </td>
				  <td width="218" align="right" valign="top" ><img src="images/headers_2.jpg" width="218" height="38"/></td>
				</tr>
			</table>
			</td>
		  </tr>
		</table>
	</td>
  </tr>
  <tr>
    <td width="100%" height="100%" valign="top">
	  <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="155" align="center" valign="top" background="images/left_bg.jpg">
            <img src="images/blank.gif" width="155" height="1"/> </td>
            <td width="100%" align="left" valign="top" background="images/content_bg.jpg" style="padding-left:20px"></td>
            <td height="43" align="right" valign="top" background="images/content_bg.jpg"><img src="images/headers_3.jpg" width="93" height="43" /></td>
          </tr>
          <tr>
            <td width="155" align="center" valign="top" background="images/left_bg.jpg">
			              <!-- SUBMENU -->
                <table  border="0" cellpadding="0" cellspacing="0" width="100">
                  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                </table><br/>
                <!-- END SUBMENU --></td>
            <td height="100%" colspan="2" valign="top" background="images/content_bg.jpg" style="padding:0 15px 15px 15px;">
<table cellpadding="0" cellspacing="0" border="0">
<tr>
<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td class="icon"><img src="images/content_titil.jpg" alt="" width="19" height="19" border="0"/></td>
</tr>
</table><br/>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td class="pageContent" name="SB_stretch" width="100%" valign="top">
<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table>
</td>
          </tr>
      </table>
	</td>
  </tr>
  <tr>
    <td background="images/bg_2.jpg"><br/>
        <!--BOOTTOM MENU -->
        <table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr> <xsl:call-template name="BOTTOM-MENU"/> </tr>
        </table>
        <!-- END BOOTTOM MENU -->
        <table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td class="copyright" align="center"><!-- FOOTER -->
                <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                <!-- END FOOTER -->
            </td>
          </tr>
      </table></td>
  </tr>
</table>

	<!--sw_sb_ms-->
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
            <td class="iconleft"><img src="images/left_arrow.jpg" width="3" height="5"/></td>
            <td class="asubmenu" style="padding:10px 4px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
            <td class="iconleft"><img src="images/left_arrow.jpg" width="3" height="5"/></td>
            <td style="padding:10px 4px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	   <tr>
            <td colspan="2" background="images/left_wire.jpg"><img src="images/left_wire.jpg" width="94" height="1"/></td>
       </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td align="left" background="images/bottom_bg.jpg">
<a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
</td>
<td align="left" background="images/bottom_bg.jpg" class="iconfoot"></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<td align="left" background="images/bottom_bg.jpg" class="abmenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
<td align="left" background="images/bottom_bg.jpg" class="iconfoot"></td>
           </xsl:when>
           <xsl:otherwise>
<td align="left" background="images/bottom_bg.jpg">
<a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
</td>
<td align="left" background="images/bottom_bg.jpg" class="iconfoot"></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		 <td align="center" width="30"><img src="images/buttons_b.jpg"/></td>                
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
