<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" bottommargin="0" leftmargin="0"  bgcolor="ffffff">


<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="1">
  <tr>
    <td height="80"></td>
    <td valign="bottom" style="padding-bottom:10;padding-top:20px;"> <!-- LOGO --><table width="300" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
        <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
      </tr>
    </table> <!-- END LOGO --></td>
    <td></td>
    <td width="78"></td>
  </tr>
  <tr>
    <td width="78" height="222" style="border-top-width: 1px;
	border-right-width: 1px;
	border-bottom-width: 1px;
	border-top-style: solid;
	border-right-style: solid;
	border-bottom-style: solid;
	border-top-color: #e1e1e1;
	border-right-color: #e1e1e1;
	border-bottom-color: #e1e1e1;"><img src="images/001.gif" width="78" height="222"/></td>
    <td background="images/header_bg.jpg"><table width="100%" height="222" border="0" cellpadding="0" cellspacing="0">
	<tr>
	<td>
	<table width="100%" height="224" border="0" cellpadding="0" cellspacing="0" background="images/009.gif" style="backgorund-repeat:no-repeat; background-position:left;">
      <tr>
        <td background="images/header.gif" style="backgorund-repeat:no-repeat; background-position:left;padding-left:160px;"><table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table></td>
      </tr>
    </table>
	</td>
	</tr>
	</table></td>
    <td width="170" valign="top" background="images/003.gif" style="padding-top:10px;padding-bottom:10px;">
	<!-- MENU -->
	<table width="112" border="0" align="center" cellpadding="0" cellspacing="0">
      <xsl:call-template name="TOP-MENU"/>
    </table><!-- END MENU --></td>
    <td width="78" style="border-top-width: 1px;
	border-left-width: 1px;
	border-bottom-width: 1px;
	border-top-style: solid;
	border-left-style: solid;
	border-bottom-style: solid;
	border-top-color: #e1e1e1;
	border-left-color: #e1e1e1;
	border-bottom-color: #e1e1e1;"><img src="images/001.gif" width="78" height="222"/></td>
  </tr>
  
  <tr>
    <td style="border-top-width: 1px;
	border-right-width: 1px;
	border-bottom-width: 1px;
	border-top-style: solid;
	border-right-style: solid;
	border-bottom-style: solid;
	border-top-color: #e1e1e1;
	border-right-color: #e1e1e1;
	border-bottom-color: #e1e1e1;"><img src="images/bg.gif" width="1" height="1"/></td>
    <td height="100%" valign="top" bgcolor="#f5f5f5">
	<!-- CONTENT -->
	<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
      <tr>
        <td ><table  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td class="text-header" style="padding-right:8px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td class="pathway"><img src="images/006.gif" width="17" height="17"/></td>
            </tr>
          </table>
            <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
      </tr>
    </table><!-- END CONTENT --></td>
    <td valign="top" background="images/002.gif" >
	<table width="170" border="0" cellspacing="0" cellpadding="0" style="padding-left:10px;padding-right:10px;">
      <tr>
        <td width="150" style="padding-top:10px;padding-bottom:10px;">
		<!-- SUBMENU -->
		<table width="112" border="0" align="center" cellpadding="0" cellspacing="0">
           <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>  
        </table><!-- END SUBMENU --></td>
      </tr>
    </table></td>
    <td style="border-top-width: 1px;
	border-left-width: 1px;
	border-bottom-width: 1px;
	border-top-style: solid;
	border-left-style: solid;
	border-bottom-style: solid;
	border-top-color: #e1e1e1;
	border-left-color: #e1e1e1;
	border-bottom-color: #e1e1e1;"><img src="images/bg.gif" width="1" height="1"/></td>
  </tr>
  <tr>
    <td></td>
    <td height="120" colspan="2" style="padding:10px;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="50">
		<!-- BOTTOM MENU -->
		<table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
             <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table><!-- END BOTTOM MENU --></td>
      </tr>
      <tr>
        <td height="50">
		<!-- FOOTER -->
		<table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td class="footer"><div align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
          </tr>
        </table>
		<!-- END FOOTER -->
		</td>
      </tr>
    </table></td>
    <td></td>
  </tr>
</table>

</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >



<tr>
<td width="10"><img src="images/007.gif" width="10" height="6"/></td>
<td class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>




		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


		
		
	 <tr>
            <td width="10"><img src="images/007.gif" width="10" height="6"/></td>
            <td class="asubmenu"><a href='{@HREF}' class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
          </tr>	
		
					
 
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">



<tr>
 <td colspan="2"><img src="images/005.gif" width="112" height="23"/></td>
 </tr>




	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td width="12"><img src="images/008.gif" width="12" height="9"/></td>
            <td class="abmenu"><a href='{@HREF}' class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
			
			

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
 

<td width="12"><img src="images/008.gif" width="12" height="9"/></td>
            <td  class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> </td>


           </xsl:when>
           <xsl:otherwise>

<td width="12"><img src="images/008.gif" width="12" height="9"/></td>
            <td class="abmenu"><a href='{@HREF}' class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="10"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
