<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/00_26.jpg">
    <tr>
      <td height="40" colspan="7"><img src="images/fff.gif" width="8" height="40" /></td>
    </tr>
    <tr>
      <td width="35" valign="bottom" background="images/00_02.jpg"><img src="images/00_02.jpg" width="35" height="37" alt="" /></td>
      <td bgcolor="#FFFFFF" width="4" valign="bottom"><img src="images/00_03.jpg" width="4" height="36" alt="" /></td>
      <td width="100%" colspan="3" align="left" bgcolor="#FFFFFF" style="background-image: url(images/00_04.jpg);
	background-repeat: repeat-x;
	background-position: bottom; padding-left:20px;padding-right:20px">
	<!-- MENU -->
		  <table border="0" cellspacing="0" cellpadding="0">
			<tr>
   <xsl:call-template name="TOP-MENU"/>
			</tr>
		  </table>
	<!-- END MENU -->
	  </td>
      <td bgcolor="#FFFFFF" width="4" valign="bottom"><img src="images/00_08.jpg" width="4" height="36" alt="" /></td>
      <td width="35" valign="bottom" background="images/00_09.jpg"><img src="images/00_09.jpg" width="35" height="37" alt="" /></td>
    </tr>
	<tr>
      <td height="1" colspan="7"><img src="images/fff.gif" width="8" height="1" /></td>
    </tr>
    <tr>
      <td width="35" height="211"><img src="images/00_13.jpg" width="35" height="211" alt="" /></td>
      <td bgcolor="#FFFFFF"></td>
      <td colspan="3" align="right" background="images/headerbg.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="211" align="left" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right;	padding-right: 400px;
	padding-left: 30px;">
<!-- LOGO -->
						<table width="260" align="left" cellpadding="0" cellspacing="0">
							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			  </table>
						<!-- END LOGO -->
	
	</td>
        </tr>
      </table></td>
      <td align="right" bgcolor="#FFFFFF"></td>
      <td width="35"><img src="images/00_17.jpg" width="35" height="211" alt="" /></td>
    </tr>
    <tr>
      <td height="1" colspan="7"><img src="images/fff.gif" width="8" height="1" /></td>
    </tr>
    <tr>
      <td height="100%"></td>
      <td></td>
      <td align="right" valign="top" height="100%"> 
<table width="240" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><img src="images/fff.gif" width="240" height="15" /></td>
  </tr>
</table>
<!-- SUBMENU -->
<table width="210" border="0" cellspacing="0" cellpadding="0">
     <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
</table>
<!-- END SUBMENU -->

	  </td>
      <td width="3" valign="bottom" background="images/00_21.jpg"><img src="images/00_21.jpg" width="3" height="44" alt="" /></td>
      <td  width="100%" height="100%" align="left" valign="top" bgcolor="#FFFFFF" style="padding: 22px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/00_24.jpg" width="27" height="19" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%"><tr><td  width="100%" height="100%" name="SB_stretch" class="pageContent" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT --></td>
      <td bgcolor="#FFFFFF"></td>
      <td></td>
    </tr>
    <tr>
      <td rowspan="2" height="75"><img src="images/fff.gif" width="8" height="75" /></td>
      <td height="1" colspan="5" bgcolor="#899AAE"></td>
      <td rowspan="2"></td>
    </tr>
    <tr>
      <td height="70" colspan="5" align="center">
<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
	  </td>
    </tr>
  </table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
    <td width="32" height="30"><img src="images/00_27.jpg" width="27" height="10" alt="" /></td>
    <td width="178" align="left" class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td  height="30"><img src="images/00_27.jpg" border="0" alt=""/></td>
					<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
    <tr >
    <td height="1" colspan="2" bgcolor="8B9BAB"></td>
  </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30" align="center"><img src="images/00_39.jpg" width="20" height="13" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
