<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
   <td height="40" colspan="3" background="images/tbg.jpg" style="padding-left:35px;padding-right:35px;">
   <!-- MENU -->
<table border="0" cellspacing="0" cellpadding="0">
  <tr>
  <!--CALL TOP-MENU -->
<xsl:call-template name="TOP-MENU"/>
    </tr>
</table>
<!-- END MENU -->
</td>
   <td width="1"><img src="images/spacer.gif" width="1" height="42" border="0" alt="" /></td>
  </tr>
  <tr>
   <td colspan="2" width="100%" style="height:354;background-image: url('images/header_bg.jpg');">
   <table width="100%" height="354" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/header.jpg'); background-position: left; background-repeat: no-repeat;">
     <tr>
       <td width="100%" align="left" valign="top" style="width:100%;padding-top:20px;padding-left:20px;">
	   <!-- LOGO -->
	   <table cellpadding="0" cellspacing="0"  width="250">
         <tr>
           <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
         </tr>
         <tr>
           <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
         </tr>
       </table>
	   <!-- END LOGO --></td>
     </tr>
   </table></td>
   <td width="300" valign="top" style="background-image: url('images/header_bg.jpg');">
         <table width="300" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><img src="images/spacer.gif" width="300" height="70" /></td>
        </tr>
        <tr>
          <td align="left" style="padding-right:40px;">
    <div class="slogan" >
	   <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
	</div>
		  </td>
        </tr>
      </table>
   </td>
   <td><img src="images/spacer.gif" width="1" height="354" border="0" alt="" /></td>
  </tr>
  <tr>
   <td width="100%"  height="100%" colspan="3"  valign="top" background="images/bbg.jpg">
   <!-- SUBMENU -->
     <table width="100%"  height="100%"  border="0" cellspacing="0" cellpadding="0">
       <tr>
         <td width="240"  height="100%" align="center" valign="top"><table width="240" border="0" cellspacing="0" cellpadding="0">
           <tr>
             <td><img src="images/spacer.gif" width="240" height="17" /></td>
           </tr>
           <tr>
             <td align="center" valign="top">
           <table cellpadding="0" cellspacing="0" width="197">
		  <!-- CALL SUB-MENU -->
		  <xsl:call-template name="SUB-MENU">
			<xsl:with-param name="pageID" select="@ID"/>
		  </xsl:call-template>
         </table>
			 
			 </td>
           </tr>
         </table>
           <br/>
		 </td>
         <td valign="top" width="100%" height="100%" ><table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
           <tr>
             <td width="100%" height="100%"  class="pageContent" style="padding-left: 10px;  padding-right: 30px;valign=:top;" name="SB_stretch">
			 <!-- CONTENT -->
                 <table cellpadding="0" cellspacing="0" border="0">
                   <tr>
                     <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                   </tr>
                 </table>
                 <div style="width:0px; height:15px;"><span></span></div>
				<table width="100%" height="100" valign="top">
				  <tr><td width="100%" height="100%" valign="top" name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
                 <!-- END CONTENT -->
                 <div style="width:0px; height:15px;"><span></span></div></td>
           </tr>
         </table></td>
       </tr>
     </table>
    <!-- END SUBMENU -->	</td>
   <td><img src="images/spacer.gif" width="1" height="" border="0" alt="" /></td>
  </tr>
  <tr>
   <td  height="1" colspan="3" bgcolor="#FFFFFF"><img src="images/spacer.gif" width="1" height="1" /></td>
   <td><img src="images/spacer.gif" width="1" height="1" border="0" alt="" /></td>
  </tr>
  <tr>
   <td height="50" colspan="3" background="images/tbg.jpg">
   <!-- FOOTER -->
   <div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
   <!-- END FOOTER --></td>
   <td><img src="images/spacer.gif" width="1" height="45" border="0" alt="" /></td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="asubmenu" style="width: 90%;padding-left:13px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td style="width: 10%;padding-left: 1px; align:left;"><img src="images/menu_bullet.gif" border="0" alt=""/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td style="width: 90%;padding-left:13px">
<a href="{@HREF}" class="submenu">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a>
</td>
<td style="width: 10%;padding-left: 1px; align:left;"><img src="images/menu_bullet.gif" border="0" alt=""/></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2" height="20"><div class="menu-hr" style="height:1px;"><span></span></div></td>
</tr>
	</xsl:if>
</xsl:template>	


<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
